import { ref, watch } from 'vue'

import { LSK_DARKMODE } from '@/globals'
import { setItem } from '@/storage'

export const darkMode = ref(true)

watch(darkMode, val => {
  if (val) {
    document.documentElement.classList.add('dark')
  }
  else {
    document.documentElement.classList.remove('dark')
  }
  setItem(LSK_DARKMODE, val ? 'true' : 'false')
})

export function isDarkModeDefault(): boolean {
  return (
    window.matchMedia &&
    window.matchMedia('(prefers-color-scheme: dark)').matches
  )
}
